apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: "[\n  {\n    \"apiVersion\": \"charts.helm.k8s.io/v1alpha1\",\n\
      \    \"kind\": \"OpenshiftXray\",\n    \"metadata\": {\n      \"name\": \"openshiftxray\"\
      \n    },\n    \"spec\": {\n      \"xray\": {\n        \"analysis\": {\n    \
      \      \"image\": {\n            \"repository\": \"registry.connect.redhat.com/jfrog/xray-analysis\"\
      ,\n            \"version\": \"3.5.2\"\n          },\n          \"name\": \"\
      xray-analysis\",\n          \"podManagementPolicy\": \"Parallel\",\n       \
      \   \"preStartCommand\": null,\n          \"updateStrategy\": \"RollingUpdate\"\
      \n        },\n        \"database\": {\n          \"password\": \"OVERRIDE\"\
      ,\n          \"url\": \"OVERRIDE\",\n          \"user\": \"OVERRIDE\"\n    \
      \    },\n        \"global\": {\n          \"postgresqlTlsSecret\": null\n  \
      \      },\n        \"indexer\": {\n          \"image\": {\n            \"repository\"\
      : \"registry.connect.redhat.com/jfrog/xray-indexer\",\n            \"version\"\
      : \"3.5.2\"\n          },\n          \"name\": \"xray-indexer\",\n         \
      \ \"podManagementPolicy\": \"Parallel\",\n          \"updateStrategy\": \"RollingUpdate\"\
      \n        },\n        \"persist\": {\n          \"image\": {\n            \"\
      repository\": \"registry.connect.redhat.com/jfrog/xray-persist\",\n        \
      \    \"version\": \"3.5.2\"\n          },\n          \"name\": \"xray-persist\"\
      ,\n          \"persistence\": {\n            \"size\": \"10Gi\"\n          },\n\
      \          \"podManagementPolicy\": \"Parallel\",\n          \"preStartCommand\"\
      : null,\n          \"updateStrategy\": \"RollingUpdate\"\n        },\n     \
      \   \"postgresql\": {\n          \"enabled\": false\n        },\n        \"\
      rabbitmq-ha\": {\n          \"enabled\": true,\n          \"image\": {\n   \
      \         \"repository\": \"registry.connect.redhat.com/jfrog/xray-rabbitmq\"\
      ,\n            \"tag\": \"3.8.0\"\n          },\n          \"rabbitmqEpmdPort\"\
      : 4369,\n          \"rabbitmqUsername\": \"guest\",\n          \"rabbitmqPassword\"\
      : \"guest\",\n          \"replicaCount\": 1\n        },\n        \"replicaCount\"\
      : 1,\n        \"unifiedUpgradeAllowed\":  \"true\",\n        \"router\": {\n\
      \          \"image\": {\n            \"imagePullPolicy\": \"IfNotPresent\",\n\
      \            \"repository\": \"registry.connect.redhat.com/jfrog/xray-router\"\
      ,\n            \"version\": \"1.4.0\"\n          },\n          \"name\": \"\
      router\"\n        },\n        \"server\": {\n          \"image\": {\n      \
      \      \"repository\": \"registry.connect.redhat.com/jfrog/xray-server\",\n\
      \            \"version\": \"3.5.2\"\n          },\n          \"name\": \"xray-server\"\
      ,\n          \"podManagementPolicy\": \"Parallel\",\n          \"replicaCount\"\
      : 1,\n          \"updateStrategy\": \"RollingUpdate\"\n        },\n        \"\
      xray\": {\n          \"consoleLog\": false,\n          \"jfrogUrl\": \"OVERRIDE\"\
      ,\n          \"joinKey\": \"EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE\",\n          \"\
      masterKey\": \"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF\"\
      \n        }\n      }\n    }\n  }\n]"
    capabilities: Basic Install
    categories: Developer Tools,Integration & Delivery
    certified: 'true'
    containerImage: registry.connect.redhat.com/jfrog/xray-operator:3.5.2
    createdAt: 2020-05-22 00:00:00+00:00
    description: JFrog Xray Enterprise deploys Xray continuous security scanner into
      Openshift (Requires Jfrog Artifactory)
    repository: https://github.com/jfrog/JFrog-Cloud-Installers/tree/openshift4/Openshift4
    support: JFrog
  creationTimestamp: null
  name: xray-operator.v1.0.1
  namespace: default
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - description: Represents Xray Instances
      displayName: Xray
      kind: OpenshiftXray
      name: openshiftxrays.charts.helm.k8s.io
      resources:
      - kind: Deployment
        name: ''
        version: v1
      - kind: Service
        name: ''
        version: v1
      - kind: ReplicaSet
        name: ''
        version: v1
      - kind: Pod
        name: ''
        version: v1
      - kind: Secret
        name: ''
        version: v1
      - kind: ConfigMap
        name: ''
        version: v1
      - kind: StatefulSet
        name: ''
        version: apps/v1
      version: v1alpha1
  description: Openshift 4 Operator to deploy JFrog Xray Continuous Security (Requires
    JFrog Artifactory)
  displayName: JFrog Xray Continuous Security Operator
  icon:
  - base64data: [encoded data, 25728 characters]
    mediatype: image/png
  install:
    spec:
      deployments:
      - name: xray-operator
        spec:
          replicas: 1
          selector:
            matchLabels:
              name: xray-operator
          strategy: {}
          template:
            metadata:
              labels:
                name: xray-operator
            spec:
              containers:
              - env:
                - name: WATCH_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.annotations['olm.targetNamespaces']
                - name: POD_NAME
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.name
                - name: OPERATOR_NAME
                  value: xray-operator
                - name: RELATED_IMAGE_XRAY_SERVER_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-server:3.5.2
                - name: RELATED_IMAGE_XRAY_ANALYSIS_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-analysis:3.5.2
                - name: RELATED_IMAGE_XRAY_PERSIST_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-persist:3.5.2
                - name: RELATED_IMAGE_XRAY_INDEXER_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-indexer:3.5.2
                - name: RELATED_IMAGE_XRAY_ROUTER_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-router:1.4.0
                - name: RELATED_IMAGE_XRAY_RABBITMQ_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-rabbitmq:3.8.0
                image: registry.connect.redhat.com/jfrog/xray-operator:3.5.2
                imagePullPolicy: Always
                name: xray-operator
                resources: {}
              serviceAccountName: xray-operator
      permissions:
      - rules:
        - apiGroups:
          - ''
          resources:
          - pods
          - services
          - services/finalizers
          - endpoints
          - persistentvolumeclaims
          - events
          - configmaps
          - secrets
          - serviceaccounts
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - apps
          resources:
          - deployments
          - daemonsets
          - replicasets
          - statefulsets
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - ''
          resources:
          - namespaces
          verbs:
          - get
        - apiGroups:
          - ''
          resourceNames:
          - xray-operator
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - ''
          resources:
          - events
          verbs:
          - create
        - apiGroups:
          - monitoring.coreos.com
          resources:
          - servicemonitors
          verbs:
          - get
          - create
        - apiGroups:
          - apps
          resourceNames:
          - xray-operator
          resources:
          - deployments/finalizers
          verbs:
          - update
        - apiGroups:
          - ''
          resources:
          - pods
          verbs:
          - get
        - apiGroups:
          - apps
          resources:
          - replicasets
          - deployments
          verbs:
          - get
        - apiGroups:
          - charts.helm.k8s.io
          resources:
          - '*'
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - networking.k8s.io
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - policy
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - rbac.authorization.k8s.io
          resources:
          - '*'
          verbs:
          - '*'
        serviceAccountName: xray-operator
    strategy: deployment
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: true
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: true
    type: AllNamespaces
  keywords:
  - DevOps
  - CI/CD
  - Developers
  - Software
  - Productivity
  - Artifact Repository
  - Repository Manager
  - Docker
  - Maven
  - Git
  - Helm
  - npm
  - go
  - golang
  - kubernetes
  - k8s
  - rpm
  - yum
  links:
  - name: JFrog
    url: https://www.jfrog.com
  - name: JFrog Xray Continuous Security
    url: https://jfrog.com/xray/
  - name: JFrog Xray Continuous Security Video
    url: https://youtu.be/wGzyKlQklKQ
  maintainers:
  - email: partner-support@jfrog.com
    name: JFrog
  maturity: alpha
  provider:
    name: JFrog
  replaces: xray-operator.v1.0.0
  version: 1.0.1
status:
  certsLastUpdated: null
  certsRotateAt: null
  lastTransitionTime: null
  lastUpdateTime: null
